body {
  font-family: var(--main-font);
  overflow-x: hidden;
}

.container {
  &--hp {
    max-width: var(--container--hp);
    margin: 0 auto;
    padding: 0 50px;

    @include media-breakpoint-down(md) {
      padding: 0 30px;
    }
  }

  &--small {
    position: relative;
    display: flex;
    flex-direction: column;
    max-width: var(--container--small);
    margin: 0 auto;
  }
}

.logo {
  max-width: 25px;
  max-height: 25px;

  &__text {
    font-size: 1.8rem;
    font-weight: 800;
    margin-left: 10px;
    color: var(--primary-font-color);
    text-decoration: none;

    @include media-breakpoint-down(sm) {
      font-size: 1.3rem;
    }
  }
}

.cv {
  &__img {
    max-width: 800px;
    margin-bottom: 2rem;

    @include media-breakpoint-down(lg) {
      width: 100%;
      height: auto;
    }
  }
}

.link-unstyled {

  &,
  &:visited,
  &:hover,
  &:active,
  &:focus,
  &:active:hover {
    font-style: inherit;
    color: inherit;
    background-color: transparent;
    font-size: inherit;
    text-decoration: none;
    font-variant: inherit;
    font-weight: inherit;
    line-height: inherit;
    font-family: inherit;
    border-radius: inherit;
    border: inherit;
    outline: inherit;
    box-shadow: inherit;
    padding: inherit;
    vertical-align: inherit;
  }
}

.main-title {
  position: relative;
  line-height: 1.2em;
  font-weight: bold;
  text-transform: uppercase;
  align-self: flex-start;

  @include media-breakpoint-down(sm) {
    margin-bottom: 2rem;
  }

  &:after {
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 10%;
    background: var(--primary-color);
    z-index: -1;
    transition: 0.2s all;
  }
}

.link-primary {
  position: relative;
  transition: 0.3s all;
  color: var(--primary-color);
  font-weight: 500;

  &:after {
    content: '';
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 0;
    height: 2px;
    background-color: var(--primary-color);
    transition: 0.3s all;
  }

  &:hover,
  &:focus {
    text-decoration: none;
    color: var(--primary-color);
    transition: 0.3s all;

    &:after {
      width: 100%;
      transition: 0.3s all;
    }
  }

  // Alignement flex
  &.start {
    align-self: flex-start;
  }
}

.no-margin {
  margin: 0 !important;
}

.no-padding {
  padding: 0 !important;
}

.center {
  align-self: center;
}

.start {
  align-self: start;
}

iframe {
  @include media-breakpoint-down(lg) {
    width: 100%;
  }
}

// Classes utilitaires de taille d'images
.contain {
  object-fit: contain;
}

.cover {
  object-fit: cover;
}
